@tool
extends EditorPlugin

func _enter_tree() -> void:
	_setup_panel(preload('editor/config-importer.tscn'))

func _setup_panel(prefab:PackedScene):
	var panel := prefab.instantiate()
	panel.set('path', prefab.resource_path.get_base_dir())
	add_control_to_dock(EditorPlugin.DOCK_SLOT_LEFT_BR, panel)
	tree_exiting.connect(func():
		remove_control_from_docks(panel)
		panel.queue_free())
